{$APPTYPE CONSOLE}

const
  MAX_N = 100;
  INFINITY = MaxInt div 2;
var
  a, c: array[1..MAX_N, 1..MAX_N] of integer;
  ans, d: array[1..MAX_N] of integer;
  cnt: integer;
  N: integer;
  x: integer;
  i, j, k: integer;

  procedure myassert(f: boolean);
  begin
    if (not f) then
      halt(1);
  end;

begin
  assign(input, 'input.txt');
  reset(input);
  assign(output, 'output.txt');
  rewrite(output);

  myassert(not SeekEof(input));
  read(N);
  myassert((1 <= N) and (N <= 100));
  for i := 1 to N do
  begin
    for j := 1 to N do
      a[i, j] := INFINITY;
  end;
  for i := 1 to N do
    a[i, i] := 0;                    
  for i := 1 to N do
  begin
    myassert(not SeekEof(input));
    read(cnt);
    myassert((0 <= cnt) and (cnt < N));
    for j := 1 to cnt do
    begin
      myassert(not SeekEof(input));
      read(x);
      myassert((1 <= x) and (x <= N));
      myassert(x <> i);
      myassert(a[i, x] <> 1);
      a[i, x] := 1;
    end;
  end;
  myassert(SeekEof(input)); 
  for i := 1 to N do
  begin
    for j := 1 to N do
      myassert(not ((a[i, j] = 1) and (a[j, i] <> 1)));
  end;

  { }
  for i := 1 to N do
  begin
    for j := 1 to N do
      c[i, j] := a[i, j];
  end;
  for k := 1 to N do
  begin
    for i := 1 to N do
    begin
      for j := 1 to N do
      begin
        if (c[i, j] > c[i, k] + c[k, j]) then
          c[i, j] := c[i, k] + c[k, j];
      end;
    end;
  end;

  for i := 1 to N do
    d[i] := c[1, i];
  {d[i] -      1     i}

  for i := 1 to N do
    ans[i] := 0;
  for i := 1 to N do
  begin
    for j := 1 to N do
    begin
      if (i <> j) and (a[i, j] = 1) and
        (d[i] <> INFINITY) and (d[j] <> INFINITY) and (d[i] <= d[j]) then
      begin
        inc(ans[j]);
      end;
    end;
  end;

  for i := 1 to N do
    write(ans[i], ' ');

  close(input);
  close(output);
end.